--- ceph-18.0.0-1021-gdaa7502b/src/common/ceph_time.h.orig	2022-11-29 08:21:41.975838837 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/common/ceph_time.h	2022-11-30 07:19:56.290127009 -0500
@@ -533,7 +533,7 @@
 ostream& operator<<(ostream& m, const chrono::duration<Rep, Period>& t);
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template<typename Clock>
 struct fmt::formatter<std::chrono::time_point<Clock>> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/common/snap_types.h.orig	2022-11-29 08:58:17.424306868 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/common/snap_types.h	2022-11-30 07:20:07.600923050 -0500
@@ -74,7 +74,7 @@
   return out << snapc.seq << "=" << snapc.snaps;
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<SnapContext> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/common/hobject.h.orig	2022-11-29 19:00:37.215337534 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/common/hobject.h	2022-11-30 07:32:42.225337029 -0500
@@ -15,7 +15,7 @@
 #ifndef __CEPH_OS_HOBJECT_H
 #define __CEPH_OS_HOBJECT_H
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 #include <fmt/ostream.h>
 #endif
 
@@ -505,7 +505,7 @@
 
 std::ostream& operator<<(std::ostream& out, const ghobject_t& o);
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<ghobject_t> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/common/operation.h.orig	2022-11-30 07:35:32.569290511 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/common/operation.h	2022-11-30 07:35:46.212046516 -0500
@@ -758,6 +758,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::Operation> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/mgr/client.h.orig	2022-11-30 07:35:55.281884305 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/mgr/client.h	2022-11-30 07:36:04.623717229 -0500
@@ -65,6 +65,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::mgr::Client> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/mon/MonClient.h.orig	2022-11-30 07:36:15.371525012 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/mon/MonClient.h	2022-11-30 07:36:27.848301867 -0500
@@ -213,6 +213,6 @@
 
 } // namespace crimson::mon
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::mon::Client> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/net/Connection.h.orig	2022-11-30 07:36:38.128118022 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/net/Connection.h	2022-11-30 07:36:48.398934333 -0500
@@ -126,6 +126,6 @@
 
 } // namespace crimson::net
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::net::Connection> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/net/Messenger.h.orig	2022-11-30 07:36:54.347827939 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/net/Messenger.h	2022-11-30 07:37:09.652554224 -0500
@@ -124,6 +124,6 @@
 
 } // namespace crimson::net
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::net::Messenger> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/net/Protocol.h.orig	2022-11-30 07:37:16.603429910 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/net/Protocol.h	2022-11-30 07:37:26.755248348 -0500
@@ -194,6 +194,6 @@
   }
 };
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::net::Protocol> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/net/ProtocolV2.h.orig	2022-11-30 07:37:34.523109425 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/net/ProtocolV2.h	2022-11-30 07:37:47.315880633 -0500
@@ -232,6 +232,6 @@
 
 } // namespace crimson::net
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::net::ProtocolV2> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/net/SocketConnection.h.orig	2022-11-30 07:37:59.336665646 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/net/SocketConnection.h	2022-11-30 07:38:08.643499199 -0500
@@ -214,6 +214,6 @@
 
 } // namespace crimson::net
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::net::SocketConnection> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/net/SocketMessenger.h.orig	2022-11-30 07:38:18.602321090 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/net/SocketMessenger.h	2022-11-30 07:38:29.016134841 -0500
@@ -165,6 +165,6 @@
 
 } // namespace crimson::net
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::net::SocketMessenger> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/backref/backref_tree_node.h.orig	2022-11-30 07:39:13.607337349 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/backref/backref_tree_node.h	2022-11-30 07:39:23.783155362 -0500
@@ -134,7 +134,7 @@
 
 } // namespace crimson::os::seastore::backref
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::backref::backref_map_val_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::backref::BackrefInternalNode> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::backref::BackrefLeafNode> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/btree/btree_range_pin.h.orig	2022-11-30 07:39:33.186987177 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/btree/btree_range_pin.h	2022-11-30 07:39:41.333841477 -0500
@@ -514,6 +514,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <typename node_bound_t> struct fmt::formatter<crimson::os::seastore::btree_range_pin_t<node_bound_t>> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/collection_manager/collection_flat_node.h.orig	2022-11-30 07:40:24.434070648 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/collection_manager/collection_flat_node.h	2022-11-30 07:40:36.807849347 -0500
@@ -181,6 +181,6 @@
 using CollectionNodeRef = CollectionNode::CollectionNodeRef;
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::collection_manager::CollectionNode> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/journal/circular_bounded_journal.h.orig	2022-11-30 07:41:09.782259618 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/journal/circular_bounded_journal.h	2022-11-30 07:41:18.942095797 -0500
@@ -314,6 +314,6 @@
 
 WRITE_CLASS_DENC_BOUNDED(crimson::os::seastore::journal::CircularBoundedJournal::cbj_header_t)
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::journal::CircularBoundedJournal::cbj_header_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/lba_manager/btree/lba_btree_node.h.orig	2022-11-30 07:41:52.067503365 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/lba_manager/btree/lba_btree_node.h	2022-11-30 07:42:03.354301507 -0500
@@ -218,7 +218,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::lba_manager::btree::lba_map_val_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::lba_manager::btree::LBAInternalNode> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::lba_manager::btree::LBALeafNode> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/omap_manager/btree/omap_btree_node.h.orig	2022-11-30 07:43:15.820005494 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/omap_manager/btree/omap_btree_node.h	2022-11-30 07:43:28.824772910 -0500
@@ -116,6 +116,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::omap_manager::OMapNode> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/omap_manager/btree/omap_btree_node_impl.h.orig	2022-11-30 07:43:40.080571605 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/omap_manager/btree/omap_btree_node_impl.h	2022-11-30 07:43:52.266353668 -0500
@@ -242,7 +242,7 @@
 std::ostream &operator<<(std::ostream &out, const omap_leaf_key_t &rhs);
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::omap_manager::OMapInnerNode> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::omap_manager::OMapLeafNode> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/node_extent_manager/dummy.h.orig	2022-11-30 07:45:04.592060158 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/node_extent_manager/dummy.h	2022-11-30 07:45:12.296922360 -0500
@@ -191,6 +191,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::onode::DummyNodeExtent> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/node_extent_manager/seastore.h.orig	2022-11-30 07:45:24.496704173 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/node_extent_manager/seastore.h	2022-11-30 07:45:34.131531858 -0500
@@ -218,6 +218,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::onode::SeastoreNodeExtent> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/stages/key_layout.h.orig	2022-11-30 07:45:50.570237861 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/stages/key_layout.h	2022-11-30 07:46:03.842000498 -0500
@@ -904,7 +904,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::onode::key_hobj_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::onode::key_view_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/stages/stage_types.h.orig	2022-11-30 07:46:12.063853457 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/stages/stage_types.h	2022-11-30 07:46:22.249671290 -0500
@@ -435,7 +435,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <crimson::os::seastore::onode::match_stage_t S>
 struct fmt::formatter<crimson::os::seastore::onode::staged_position_t<S>> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::onode::MatchHistory> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/node_extent_manager.h.orig	2022-11-30 07:44:40.421492438 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/node_extent_manager.h	2022-11-30 07:44:52.744272048 -0500
@@ -100,6 +100,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::onode::NodeExtent> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/value.h.orig	2022-11-30 07:46:30.316527014 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode_manager/staged-fltree/value.h	2022-11-30 07:46:38.866374107 -0500
@@ -331,7 +331,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::onode::value_config_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::onode::value_header_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/segment_manager/ephemeral.h.orig	2022-11-30 07:48:48.822046919 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/segment_manager/ephemeral.h	2022-11-30 07:48:58.596871751 -0500
@@ -154,6 +154,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::segment_manager::ephemeral_config_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/async_cleaner.h.orig	2022-11-30 07:38:44.618855796 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/async_cleaner.h	2022-11-30 07:38:56.558642260 -0500
@@ -1286,7 +1286,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::segment_info_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::segments_info_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::AsyncCleaner::stat_printer_t> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/cached_extent.h.orig	2022-11-30 07:40:04.729423055 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/cached_extent.h	2022-11-30 07:40:15.501230409 -0500
@@ -934,7 +934,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::CachedExtent> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::LogicalCachedExtent> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::LBAPin> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/device.h.orig	2022-11-30 07:40:50.802599061 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/device.h	2022-11-30 07:40:58.456462175 -0500
@@ -126,6 +126,6 @@
 WRITE_CLASS_DENC_BOUNDED(crimson::os::seastore::device_spec_t)
 WRITE_CLASS_DENC(crimson::os::seastore::device_config_t)
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::device_config_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/object_data_handler.cc.orig	2022-11-30 07:42:22.080966590 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/object_data_handler.cc	2022-11-30 07:42:32.555779252 -0500
@@ -361,7 +361,7 @@
 };
 } // namespace crimson::os::seastore {
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template<> struct fmt::formatter<crimson::os::seastore::overwrite_plan_t> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/object_data_handler.h.orig	2022-11-30 07:42:44.646563012 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/object_data_handler.h	2022-11-30 07:42:53.873397997 -0500
@@ -136,6 +136,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::ObjectDataBlock> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode.h.orig	2022-11-30 07:44:04.159140970 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/onode.h	2022-11-30 07:44:14.985947338 -0500
@@ -83,6 +83,6 @@
 using OnodeRef = boost::intrusive_ptr<Onode>;
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template<> struct fmt::formatter<crimson::os::seastore::Onode> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/random_block_manager.h.orig	2022-11-30 07:47:23.569574612 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/random_block_manager.h	2022-11-30 07:47:34.525378309 -0500
@@ -123,6 +123,6 @@
   crimson::os::seastore::rbm_metadata_header_t
 )
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template<> struct fmt::formatter<crimson::os::seastore::rbm_metadata_header_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/root_block.h.orig	2022-11-30 07:47:40.045279395 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/root_block.h	2022-11-30 07:47:50.095099301 -0500
@@ -89,6 +89,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::RootBlock> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/seastore_types.h.orig	2022-11-30 07:48:03.682855807 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/seastore_types.h	2022-11-30 07:48:14.046670089 -0500
@@ -2179,7 +2179,7 @@
   }
 };
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::data_category_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::delta_info_t> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::device_id_printer_t> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/segment_manager.h.orig	2022-11-30 07:48:27.602427170 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/segment_manager.h	2022-11-30 07:48:39.092221275 -0500
@@ -192,6 +192,6 @@
   crimson::os::seastore::block_sm_superblock_t
 )
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::block_sm_superblock_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/transaction.h.orig	2022-11-30 07:50:10.792578012 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/os/seastore/transaction.h	2022-11-30 07:50:21.007394964 -0500
@@ -591,6 +591,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::io_stat_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/background_recovery.h.orig	2022-11-30 07:51:41.990943742 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/background_recovery.h	2022-11-30 07:51:51.921765785 -0500
@@ -144,7 +144,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::BackfillRecovery> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::osd::PglogBasedRecovery> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::osd::UrgentRecovery> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/client_request.h.orig	2022-11-30 07:51:58.302651438 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/client_request.h	2022-11-30 07:52:05.233527237 -0500
@@ -261,6 +261,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::ClientRequest> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/internal_client_request.h.orig	2022-11-30 07:52:28.302113849 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/internal_client_request.h	2022-11-30 07:52:37.856942627 -0500
@@ -63,6 +63,6 @@
 
 } // namespace crimson::osd
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::InternalClientRequest> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/logmissing_request.h.orig	2022-11-30 07:52:49.392735906 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/logmissing_request.h	2022-11-30 07:53:00.276540868 -0500
@@ -69,6 +69,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::LogMissingRequest> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/logmissing_request_reply.h.orig	2022-11-30 07:53:14.145292342 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/logmissing_request_reply.h	2022-11-30 07:53:23.100131872 -0500
@@ -69,6 +69,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::LogMissingRequestReply> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/peering_event.h.orig	2022-11-30 07:53:31.320984555 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/peering_event.h	2022-11-30 07:53:40.228824925 -0500
@@ -188,7 +188,7 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::LocalPeeringEvent> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::osd::RemotePeeringEvent> : fmt::ostream_formatter {};
 template <class T> struct fmt::formatter<crimson::osd::PeeringEvent<T>> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/pg_advance_map.h.orig	2022-11-30 07:53:47.386696656 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/pg_advance_map.h	2022-11-30 07:53:56.389535326 -0500
@@ -53,6 +53,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::PGAdvanceMap> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/recovery_subrequest.h.orig	2022-11-30 07:54:17.476157455 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/recovery_subrequest.h	2022-11-30 07:54:26.559994674 -0500
@@ -63,6 +63,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::RecoverySubRequest> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/replicated_request.h.orig	2022-11-30 07:54:35.394836355 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd_operations/replicated_request.h	2022-11-30 07:54:42.759704375 -0500
@@ -67,6 +67,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::RepRequest> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/heartbeat.h.orig	2022-11-30 07:50:41.888020783 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/heartbeat.h	2022-11-30 07:51:07.857555410 -0500
@@ -246,7 +246,7 @@
  }
 };
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<Heartbeat::Connection> : fmt::ostream_formatter {};
 #endif
 
@@ -459,6 +459,6 @@
   Connection con_back;
 };
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<Heartbeat> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd.h.orig	2022-11-30 07:51:18.543363923 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/osd.h	2022-11-30 07:51:27.976194887 -0500
@@ -236,6 +236,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::OSD> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/pg.h.orig	2022-11-30 07:55:01.480368904 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/pg.h	2022-11-30 07:55:11.549188470 -0500
@@ -834,6 +834,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::PG> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/shard_services.h.orig	2022-11-30 07:55:18.196069358 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/shard_services.h	2022-11-30 07:55:27.066910396 -0500
@@ -532,6 +532,6 @@
 
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::OSDSingletonState::pg_temp_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/watch.cc.orig	2022-11-30 07:55:38.275709535 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/watch.cc	2022-11-30 07:55:47.746539818 -0500
@@ -310,6 +310,6 @@
 
 } // namespace crimson::osd
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::WatchTimeoutRequest> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/watch.h.orig	2022-11-30 07:55:52.381456758 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crimson/osd/watch.h	2022-11-30 07:56:00.016319943 -0500
@@ -236,6 +236,6 @@
 
 WRITE_CLASS_DENC(crimson::osd::notify_reply_t)
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::osd::notify_reply_t> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/crush/CrushLocation.h.orig	2022-11-29 08:57:01.841650322 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/crush/CrushLocation.h	2022-11-30 07:21:29.395448148 -0500
@@ -36,6 +36,6 @@
 }
 #endif
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<TOPNSPC::crush::CrushLocation> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/include/neorados/RADOS_Decodable.hpp.orig	2022-11-30 07:34:30.177406360 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/include/neorados/RADOS_Decodable.hpp	2022-11-30 07:34:46.511114239 -0500
@@ -25,7 +25,7 @@
 #include <vector>
 
 #include <fmt/core.h>
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 #include <fmt/ostream.h>
 #endif
 
@@ -109,7 +109,7 @@
 };
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<neorados::Entry> : ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/include/uuid.h.orig	2022-11-29 07:57:15.848319598 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/include/uuid.h	2022-11-30 07:18:57.294190811 -0500
@@ -96,7 +96,7 @@
   return l.to_string() > r.to_string();
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<uuid_d> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/include/types.h.orig	2022-11-29 08:22:35.354875242 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/include/types.h	2022-11-30 07:19:22.678733085 -0500
@@ -611,7 +611,7 @@
   return out << str;
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <uint8_t S> struct fmt::formatter<sha_digest_t<S>> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/msg/Message.h.orig	2022-11-29 10:44:48.594442439 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/msg/Message.h	2022-11-30 07:58:17.407857895 -0500
@@ -572,7 +572,7 @@
 }
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <std::derived_from<Message> M> struct fmt::formatter<M> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/msg/msg_types.h.orig	2022-11-30 07:57:24.378808175 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/msg/msg_types.h	2022-11-30 07:57:49.855351634 -0500
@@ -18,7 +18,7 @@
 #include <sstream>
 
 #include <netinet/in.h>
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 #include <fmt/ostream.h>
 #endif
 
@@ -550,7 +550,7 @@
 WRITE_CLASS_ENCODER_FEATURES(entity_addr_t)
 
 std::ostream& operator<<(std::ostream& out, const entity_addr_t &addr);
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<entity_addr_t> : fmt::ostream_formatter {};
 #endif
 
@@ -741,7 +741,7 @@
   }
 };
 WRITE_CLASS_ENCODER_FEATURES(entity_addrvec_t);
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<entity_addrvec_t> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/osd/scrubber/scrub_backend.cc.orig	2022-11-29 14:01:45.242201467 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/osd/scrubber/scrub_backend.cc	2022-11-29 14:01:53.941045747 -0500
@@ -5,8 +5,6 @@
 
 #include <algorithm>
 
-#include <fmt/ranges.h>
-
 #include "common/debug.h"
 
 #include "include/utime_fmt.h"
--- ceph-18.0.0-1021-gdaa7502b/src/osd/osd_types.h.orig	2022-11-29 08:59:00.961533009 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/osd/osd_types.h	2022-11-30 07:30:51.388319297 -0500
@@ -785,7 +785,7 @@
   return out;
 }
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<coll_t> : fmt::ostream_formatter {};
 #endif
 
@@ -4715,7 +4715,7 @@
 };
 WRITE_CLASS_ENCODER_FEATURES(pg_missing_item)
 std::ostream& operator<<(std::ostream& out, const pg_missing_item &item);
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<pg_missing_item> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/osd/osd_types_fmt.h.orig	2022-11-29 12:35:49.840346801 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/osd/osd_types_fmt.h	2022-11-30 07:20:40.529329294 -0500
@@ -325,7 +325,7 @@
   bool debug_log{false};
 };
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<ObjectRecoveryInfo> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<ObjectRecoveryProgress> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<PastIntervals> : fmt::ostream_formatter {};
--- ceph-18.0.0-1021-gdaa7502b/src/osd/recovery_types.h.orig	2022-11-29 12:36:25.158712340 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/osd/recovery_types.h	2022-11-30 07:20:51.605129576 -0500
@@ -93,6 +93,6 @@
 
 std::ostream &operator<<(std::ostream &out, const BackfillInterval &bi);
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<BackfillInterval> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/test/crimson/seastore/onode_tree/test_value.h.orig	2022-11-30 08:00:11.637810904 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/test/crimson/seastore/onode_tree/test_value.h	2022-11-30 08:00:20.467652673 -0500
@@ -56,7 +56,7 @@
 
 } // namespace crimson::os::seastore::onode
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template<> struct fmt::formatter<crimson::os::seastore::onode::delta_op_t> : fmt::ostream_formatter {};
 #endif
 
--- ceph-18.0.0-1021-gdaa7502b/src/test/crimson/seastore/test_block.h.orig	2022-11-30 08:00:28.216513814 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/test/crimson/seastore/test_block.h	2022-11-30 08:00:38.972321070 -0500
@@ -147,7 +147,7 @@
 
 WRITE_CLASS_DENC_BOUNDED(crimson::os::seastore::test_block_delta_t)
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<crimson::os::seastore::TestBlock> : fmt::ostream_formatter {};
 template <> struct fmt::formatter<crimson::os::seastore::TestBlockPhysical> : fmt::ostream_formatter {};
 #endif
--- ceph-18.0.0-1021-gdaa7502b/src/tools/neorados.cc.orig	2022-11-30 08:00:54.710039052 -0500
+++ ceph-18.0.0-1021-gdaa7502b/src/tools/neorados.cc	2022-11-30 08:01:11.260742465 -0500
@@ -293,9 +293,9 @@
 	  "remove OBJECT in POOL"sv }
 };
 
-#if FMT_VERSION >= 90000
+#if FMT_VERSION >= 90000 && FMT_VERSION < 90100
 template <> struct fmt::formatter<boost::program_options::options_description> : ostream_formatter {};
-#endif // FMT_VERSION
+#endif
 
 int main(int argc, char* argv[])
 {
